var news_content;
function resizeImages() {
     var imgs = document.getElementsByTagName("img");
     for(var i=0; i<imgs.length; i++) {
        resizeImage(imgs[i]);
     }
}
function resizeImage(image) {
    var clientWidth = document.body.clientWidth;
    var maxWidth = clientWidth - 32;
    if (image.clientWidth > maxWidth) {
        var width_old = image.clientWidth;
        var height_old = image.clientHeight;
        image.style['width'] = maxWidth + 'px';
        image.style['height'] = height_old * maxWidth / width_old + 'px';
    }
}

function openImage(imageSrc) {
    window.jsbridge.openImage(imageSrc);
}
function openVideo(url) {
    window.jsbridge.openVideo(url);
}
function openMessageInApp(id) {
    window.jsbridge.openMessageInApp(id);
}

function showSmallSize() {
    news_content.style.fontSize = "14px";
    news_content.style.lineHeight = "175%";
}
function showMidSize() {
    news_content.style.fontSize = "16px";
    news_content.style.lineHeight = "175%";
}
function showBigSize() {
    news_content.style.fontSize = "18px";
    news_content.style.lineHeight = "175%";
}
function showSupperBigSize() {
    news_content.style.fontSize = "20px";
    news_content.style.lineHeight = "175%";
}
function showHugeBigSize() {
    news_content.style.fontSize = "22px";
    news_content.style.lineHeight = "175%";
}

function setTextSize() {
    var text_size = window.jsbridge.getTextSize();
    switch (text_size) {
        case 1:
            showSmallSize();
            break;
        case 2:
            showMidSize();
            break;
        case 3:
            showBigSize();
            break;
        case 4:
            showSupperBigSize();
            break;
        case 5:
            showHugeBigSize();
            break;
    }
}

//设定热门评论html
function setCommentHotList(comment_count, str_html_comment) {
	if(comment_count > 0) {
	    document.getElementById("span_comment_count_hot").innerHTML = comment_count;
		document.getElementById("div_comment_hot_list").innerHTML = str_html_comment;
		document.getElementById("div_comment_hot").style.display = "block";
     } else {
     	document.getElementById("div_comment_hot").style.display = "none";
     }
}

//设定最新评论html
function setCommentNewList(comment_count,str_html_comment) {
	if(comment_count > 0) {
	    document.getElementById("span_comment_count_new").innerHTML = comment_count;
		document.getElementById("div_comment_new_list").innerHTML = str_html_comment;
		document.getElementById("div_comment_new").style.display = "block";
     } else {
     	document.getElementById("div_comment_new").style.display = "none";
     }
}
//设定广告html
function setDeatilAd(str_html_detail_ad) {
	if(str_html_detail_ad.length > 0) {
		document.getElementById("div_detail_ad").innerHTML = str_html_detail_ad;
		document.getElementById("div_detail_ad").style.display = "block";
     } else {
     	document.getElementById("div_detail_ad").style.display = "none";
     }
}
//设定专家专栏html
function setFromSubject(str_html_from_subject) {
	if(str_html_from_subject.length > 0) {
		document.getElementById("div_from_subject_title").innerHTML = str_html_from_subject;
		document.getElementById("div_from_subject").style.display = "block";
     } else {
     	document.getElementById("div_from_subject").style.display = "none";
     }
}
//设定没有更多专栏时隐藏“更多专栏”按钮html
function setHideFromSubjectMore() {
    document.getElementById("div_from_subject_more").style.display = "none";
}
//设定关键词搜索html
function setKeywordsList(str_html_keywords) {
	if(str_html_keywords.length > 0) {
		document.getElementById("div_keywords_list").innerHTML = str_html_keywords;
		document.getElementById("div_keywords").style.display = "block";
     } else {
     	document.getElementById("div_keywords_border").style.display = "none";
     	document.getElementById("div_keywords").style.display = "none";
     }
}
//设定相关资讯html
function setRelateList(str_html_relate) {
	if(str_html_relate.length > 0) {
		document.getElementById("div_relate_list").innerHTML = str_html_relate;
		document.getElementById("div_relate").style.display = "block";
     } else {
     	document.getElementById("div_relate_border").style.display = "none";
     	document.getElementById("div_relate").style.display = "none";
     }
}
//进入个人主页
function goAccountHome(userid,username,user_thumb) {
    window.jsbridge.goAccountHome(userid,username,user_thumb);
}
//进入资讯详情
function goCmsDetail(contentid,list_index) {
    window.jsbridge.goCmsDetail(contentid,list_index);
}
//进入全局搜索页
function goSearchList(keyword_title) {
    window.jsbridge.goSearchList(keyword_title);
}
//进入专家专栏页
function goFromSubjectDeatil(from_subject_url) {
    window.jsbridge.goFromSubjectDeatil(from_subject_url);
}
//展开相关专栏
function expandMoreSubject() {
    window.jsbridge.expandMoreSubject();
}
//回复评论
function doReplyComment(parent_commentid) {
    var username = document.getElementById("div_username_" + parent_commentid).innerText;
    window.jsbridge.goReplyComment(parent_commentid,username);
}
//点赞
function doSupport() {
    window.jsbridge.goSupport();
}
//加赞或者取消赞后的操作
function afterSupport(support_state) {
    var cnt = parseInt(document.getElementById("span_support_cnt").innerHTML);
    if(support_state == 1) {
        //加赞
        document.getElementById("span_support_cnt").innerHTML = cnt + 1;
        document.getElementById("div_ic_support").setAttribute("class", "like_after");
    } else {
        //取消赞
        if(cnt >= 1) {
            document.getElementById("span_support_cnt").innerHTML = cnt - 1;
        }
        document.getElementById("div_ic_support").setAttribute("class", "like");
    }
}
//赞评论
function doSupportComment(comment_type,list_index,parent_commentid,is_zan) {
    window.jsbridge.goSupportComment(comment_type,list_index,parent_commentid,is_zan);
}
//赞评论后的处理
function afterSupportComment(parent_commentid,support_state) {
    var element = document.getElementById("a_comment_list_" + parent_commentid);
    var cnt = 0;
    if(element.innerHTML.length > 0) {
        try {
            cnt = parseInt(element.innerHTML);
        } catch (e) {
            cnt = 0;
        }
    }

    if(support_state == 1) {
        //加赞
        element.innerHTML = cnt + 1;
        element.setAttribute("class", "com_thumb sele");
    } else {
        //取消赞
        if(cnt > 1) {
            element.innerHTML = cnt - 1;
        } else {
            element.innerHTML = "";
        }
        element.setAttribute("class", "com_thumb");
    }
}
// V5.4.0打开详情广告
function openDetailAd() {
    window.jsbridge.openDetailAd();
}
//页面初始化
function init(video_flag,is_collect, is_zan, comment_count_new) {
    news_content = document.getElementById("news_content");
    setTextSize();

    if(video_flag == 0) {
        //没有视频
        document.getElementById("div_video").style.display = "none";
    } else {
        document.getElementById("div_video").style.display = "block";
    }
    if(is_zan == 1) {
        //我赞过
        document.getElementById("div_ic_support").setAttribute("class", "like_after");
    }
}